Bug 142791 - RLIMIT_CPU/SIGXCPU should be per-process, not per-thread
RLIMIT_CPU/SIGXCPU should be per-process, not per-thread
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
Depends On: 133460 142792
Blocks: FC4Target
  Show dependency treegraph
Reported: 2004-12-13 23:11 EST by Roland McGrath
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-09 03:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch posted upstream (7.43 KB, patch)
2004-12-13 23:11 EST, Roland McGrath
no flags Details | Diff

  None (edit)
Description Roland McGrath 2004-12-13 23:11:55 EST
Description of problem:
RLIMIT_CPU applies to individual thread CPU use, but POSIX says it should apply
to aggregate CPU use by the whole process.

Version-Release number of selected component (if applicable):

Additional info:

Tracking bug for upstream work.
Comment 1 Roland McGrath 2004-12-13 23:11:55 EST
Created attachment 108492 [details]
patch posted upstream
Comment 2 Roland McGrath 2005-03-12 23:14:50 EST
My changes are in Linus's tree now, hopefully in 2.6.12  
Comment 3 Roland McGrath 2005-04-23 21:11:51 EDT
Rawhide 2.6.12rcN kernels have this.
Comment 4 Roland McGrath 2005-08-09 03:02:48 EDT
All good in FC4.

Note You need to log in before you can comment on or make changes to this bug.